#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionDispatch/btCollisionDispatcher.h"
#pragma managed
#include "../BroadphaseCollision/IDispatcher.h"
#include "ICollisionConfiguration.h"
using namespace System;

namespace BulletCLI 
{
    public ref class CollisionDispatcher : public IDispatcher
	{
	private:
		btCollisionDispatcher* m_p;
	internal:
		virtual btDispatcher* GetPtr() override {return m_p;}
	public:
		CollisionDispatcher(ICollisionConfiguration^ pConfig);
		virtual ~CollisionDispatcher();
		!CollisionDispatcher();
	};
}